Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class MyHTMLEditorKit

    java.lang.Object
      |
      +--javax.swing.text.EditorKit
            |
            +--javax.swing.text.DefaultEditorKit
                  |
                  +--javax.swing.text.StyledEditorKit
                        |
                        +--javax.swing.text.html.HTMLEditorKit
                              |
                              +--org.w3c.jigadmin.editors.MyHTMLEditorKit

All Implemented Interfaces:
  javax.accessibility.Accessible, java.lang.Cloneable, java.io.Serializable

public class MyHTMLEditorKit
extends javax.swing.text.html.HTMLEditorKit

A special HTMLEditorKit that handle mouse event.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `MyHTMLEditorKit.LinkController` Our MouseListener.

Nested classes inherited from class javax.swing.text.html.HTMLEditorKit
`javax.swing.text.html.HTMLEditorKit.HTMLFactory, javax.swing.text.html.HTMLEditorKit.HTMLTextAction, javax.swing.text.html.HTMLEditorKit.InsertHTMLTextAction, javax.swing.text.html.HTMLEditorKit.LinkController, javax.swing.text.html.HTMLEditorKit.Parser, javax.swing.text.html.HTMLEditorKit.ParserCallback`

Nested classes inherited from class javax.swing.text.StyledEditorKit
`javax.swing.text.StyledEditorKit.AlignmentAction, javax.swing.text.StyledEditorKit.BoldAction, javax.swing.text.StyledEditorKit.FontFamilyAction, javax.swing.text.StyledEditorKit.FontSizeAction, javax.swing.text.StyledEditorKit.ForegroundAction, javax.swing.text.StyledEditorKit.ItalicAction, javax.swing.text.StyledEditorKit.StyledTextAction, javax.swing.text.StyledEditorKit.UnderlineAction`

Nested classes inherited from class javax.swing.text.DefaultEditorKit
`javax.swing.text.DefaultEditorKit.BeepAction, javax.swing.text.DefaultEditorKit.CopyAction, javax.swing.text.DefaultEditorKit.CutAction, javax.swing.text.DefaultEditorKit.DefaultKeyTypedAction, javax.swing.text.DefaultEditorKit.InsertBreakAction, javax.swing.text.DefaultEditorKit.InsertContentAction, javax.swing.text.DefaultEditorKit.InsertTabAction, javax.swing.text.DefaultEditorKit.PasteAction`

Field Summary
`static int` | `JUMP`
`static int` | `MOVE`

Fields inherited from class javax.swing.text.html.HTMLEditorKit
`BOLD_ACTION, COLOR_ACTION, DEFAULT_CSS, FONT_CHANGE_BIGGER, FONT_CHANGE_SMALLER, IMG_ALIGN_BOTTOM, IMG_ALIGN_MIDDLE, IMG_ALIGN_TOP, IMG_BORDER, ITALIC_ACTION, LOGICAL_STYLE_ACTION, PARA_INDENT_LEFT, PARA_INDENT_RIGHT`

Fields inherited from class javax.swing.text.DefaultEditorKit
`backwardAction, beepAction, beginAction, beginLineAction, beginParagraphAction, beginWordAction, copyAction, cutAction, defaultKeyTypedAction, deleteNextCharAction, deletePrevCharAction, downAction, endAction, endLineAction, EndOfLineStringProperty, endParagraphAction, endWordAction, forwardAction, insertBreakAction, insertContentAction, insertTabAction, nextWordAction, pageDownAction, pageUpAction, pasteAction, previousWordAction, readOnlyAction, selectAllAction, selectionBackwardAction, selectionBeginAction, selectionBeginLineAction, selectionBeginParagraphAction, selectionBeginWordAction, selectionDownAction, selectionEndAction, selectionEndLineAction, selectionEndParagraphAction, selectionEndWordAction, selectionForwardAction, selectionNextWordAction, selectionPreviousWordAction, selectionUpAction, selectLineAction, selectParagraphAction, selectWordAction, upAction, writableAction`

Constructor Summary
`MyHTMLEditorKit()`

Method Summary
`void` | `install(javax.swing.JEditorPane c)` Called when the kit is being installed into the a JEditorPane.

Methods inherited from class javax.swing.text.html.HTMLEditorKit
`clone, createDefaultDocument, createInputAttributes, deinstall, getAccessibleContext, getActions, getContentType, getDefaultCursor, getInputAttributes, getLinkCursor, getParser, getStyleSheet, getViewFactory, insertHTML, read, setDefaultCursor, setLinkCursor, setStyleSheet, write`

Methods inherited from class javax.swing.text.StyledEditorKit
`getCharacterAttributeRun`

Methods inherited from class javax.swing.text.DefaultEditorKit
`createCaret, read, write`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JUMP

    public static final int JUMP

See Also:
  Constant Field Values

### MOVE

    public static final int MOVE

See Also:
  Constant Field Values

Constructor Detail

### MyHTMLEditorKit

    public MyHTMLEditorKit()

Method Detail

### install

    public void install(javax.swing.JEditorPane c)

  Called when the kit is being installed into the a JEditorPane.

  Overrides:
    `install` in class `javax.swing.text.html.HTMLEditorKit`
  Parameters:
    `c` - the JEditorPane.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD